IMG_SaveJPG(3)

NAME
IMG_SaveJPG - Save an SDL_Surface into a JPEG image file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_SaveJPG(SDL_Surface *surface, const char *file, int quality);

DESCRIPTION
If the file already exists, it will be overwritten.

FUNCTION PARAMETERS

surface
    the SDL surface to save.

file
    path on the filesystem to write new file to.

quality
    [0; 33] is Lowest quality, [34; 66] is Middle quality, [67; 100] is Highest quality.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_SaveJPG_IO(3)